import request from '@/utils/request'

// 查询粉料采购计划列表
export function listPowderOrder(query) {
	return request({
		url: '/wms/powderOrder/list',
		method: 'get',
		params: query
	});
}

// 查询粉料采购计划详细
export function getPowderOrder(ID) {
	return request({
		url: '/wms/powderOrder/' + ID,
		method: 'get'
		});
}

// 新增粉料采购计划
export function addPowderOrder(data) {
	return request({
		url: '/wms/powderOrder',
		method: 'post',
		data: data
	});
}

// 修改粉料采购计划
export function updatePowderOrder(data) {
	return request({
		url: '/wms/powderOrder',
		method: 'put',
		data: data
	});
}

// 删除粉料采购计划
export function delPowderOrder(ID) {
	return request({
		url: '/wms/powderOrder/' + ID,
		method: 'delete'
	});
}

// 确认收货
export function confirmReceipt(data) {
  return request({
    url: '/wms/powderOrder/confirmReceipt',
    method: 'post',
    data: data
  });

}
// 确认收货
export function powderReturn(data) {
  return request({
    url: '/wms/powderOrder/powderReturn',
    method: 'post',
    data: data
  });
}
